;##################################################################
;
;   Phoenix-Z80 (Variable and data structure defintions)
;
;   Programmed by Patrick Davidson (pad@calc.org)
;        
;   This program is in the public domain.  There is no warranty.
;
;   This file was last updated September 25, 2000.
;
;##################################################################   

;############## Player bullet structure definition

pb_type         =0
pb_dmg          =1
pb_x            =2
pb_w            =3
pb_y            =4
pb_h            =5
pb_img          =6
pb_data         =8

pb_size         =10

pb_num          =16

;############## Enemy structure definition

e_type          =0          ; Type (offset in jump table)
e_phase         =1          ; Phase of movement (enemy-specific use)
e_timer         =2          ; Timer (enemy-specific use)
e_x             =3          ; X coordinate
e_w             =4          ; Width 
e_y             =5          ; Y coordinate
e_h             =6          ; Height
e_pwr           =7          ; Shield strength
e_img           =8          ; Image pointer (not required)
e_data          =10         ; Misc. data (enemy-specific use)

e_size          =12

e_num           =18

;############## Enemy bullet structure definition

eb_type         =0
eb_dmg          =1
eb_x            =2
eb_w            =3
eb_y            =4
eb_h            =5
eb_data         =6

eb_size         =10

eb_num          =15

;############## Screen side data

sidesdata       =$AA70
leftsidecoord   =$AB70
leftsidevel     =$AB71
rightsidecoord  =$AB72
rightsidevel    =$AB73

;############## Permanent variables

perm_var_start  =saferam2

posqueue        =saferam2
player_y        =saferam2+20
player_x        =saferam2+21
enemies_left    =saferam2+22
level           =saferam2+23
player_pwr      =saferam2+24
player_cash     =saferam2+25
weapon_upgrade  =saferam2+27
weapon_2        =saferam2+28
weapon_3        =saferam2+29
weapon_4        =saferam2+30
weapon_5        =saferam2+31
fire_counter    =saferam2+32
chosen_weapon   =saferam2+33
game_timer      =saferam2+34
pattern         =saferam2+36
companion_pwr   =saferam2+38
companion_y     =saferam2+39
companion_x     =saferam2+40
companion_img   =saferam2+41
difficulty      =saferam2+43
which_shot      =saferam2+44
time_score      =saferam2+45
bonus_score     =saferam2+47
completed       =saferam2+49

perm_var_size   =50

;############## Temporary variables

temp            =saferam2+120
shop_item       =saferam2+121
test_coords     =saferam2+122
timer           =saferam2+126
jp2nd           =saferam2+127
